<?php

namespace Database\Seeders;

use App\Models\Educacion\Carrera;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CarreraSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Carrera::create([
            'id' => 1,
            'nombre' => 'Enfermería',
            'id_area' => 1,
        ]);
        Carrera::create([
            'id' => 2,
            'nombre' => 'Medicina Humana',
            'id_area' => 1,
        ]);

        Carrera::create([
            'id' => 3,
            'nombre' => 'Arquitectura',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 4,
            'nombre' => 'Ingeniería Civil',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 5,
            'nombre' => 'Ingeniería de Minas',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 6,
            'nombre' => 'Ingeniería de Sistemas',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 7,
            'nombre' => 'Ingeniería Eléctrica y Electrónica',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 8,
            'nombre' => 'Ingeniería Mecánica',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 9,
            'nombre' => 'Ingeniería Metalúrgica y de Materiales',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 10,
            'nombre' => 'Ingeniería Química',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 11,
            'nombre' => 'Ingeniería Química Industrial',
            'id_area' => 2,
        ]);
        Carrera::create([
            'id' => 12,
            'nombre' => 'Ingeniería Química Ambiental',
            'id_area' => 2,
        ]);

        Carrera::create([
            'id' => 13,
            'nombre' => 'Administración de Empresas',
            'id_area' => 3,
        ]);
        Carrera::create([
            'id' => 14,
            'nombre' => 'Contabilidad',
            'id_area' => 3,
        ]);
        Carrera::create([
            'id' => 15,
            'nombre' => 'Economía',
            'id_area' => 3,
        ]);
        Carrera::create([
            'id' => 16,
            'nombre' => 'Administración de Negocios - Tarma',
            'id_area' => 3,
        ]);
        Carrera::create([
            'id' => 17,
            'nombre' => 'Administración Hotelera y Turismo - Tarma',
            'id_area' => 3,
        ]);
        
        Carrera::create([
            'id' => 18,
            'nombre' => 'Antropología',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 19,
            'nombre' => 'Ciencias de la Comunicación',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 20,
            'nombre' => 'Derecho y Ciencias Políticas',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 21,
            'nombre' => 'Sociología',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 22,
            'nombre' => 'Trabajo Social',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 23,
            'nombre' => 'Educación Inicial',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 24,
            'nombre' => 'Educación Primaria',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 25,
            'nombre' => 'Educación Filosofía, Ciencias Sociales y Relaciones Humanas',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 26,
            'nombre' => 'Educación Lengua,Literatura y Comunicación',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 27,
            'nombre' => 'Educación Ciencias Naturales y Ambientales',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 28,
            'nombre' => 'Educación Ciencias Matemáticas e Informática',
            'id_area' => 4,
        ]);
        Carrera::create([
            'id' => 29,
            'nombre' => 'Educación Física y Psicomotricidad',
            'id_area' => 4,
        ]);

        Carrera::create([
            'id' => 30,
            'nombre' => 'Agronomía',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 31,
            'nombre' => 'Ciencias Forestales y del Ambiente',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 32,
            'nombre' => 'Ingeniería en Industrias Alimentarias',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 33,
            'nombre' => 'Zootecnia',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 34,
            'nombre' => 'Ing. Agroindustrial - Tarma',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 35,
            'nombre' => 'Ing. Agronomía Tropical - Satipo',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 36,
            'nombre' => 'Ing. Forestal Tropical - Satipo',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 37,
            'nombre' => 'Ing. Industrias Alimentarias Tropical - Satipo',
            'id_area' => 5,
        ]);
        Carrera::create([
            'id' => 38,
            'nombre' => 'Zootecnia Tropical- Satipo',
            'id_area' => 5,
        ]);
    }

}
